merge with backout
authorBenoit Boissinot <benoit.boissinot@ens-lyon.org>
Mon, 30 Mar 2009 01:23:12 +0200
changeset 7920 9ea05fbfa7ab
parent 7918 62f11ef0df5b (current diff)
parent 7919 3e6206967570 (diff)
child 7922 06bf76009249
merge with backout
--- a/tests/test-bad-pull	Mon Mar 30 01:21:39 2009 +0200
+++ b/tests/test-bad-pull	Mon Mar 30 01:23:12 2009 +0200
@@ -1,7 +1,7 @@
 #!/bin/sh
 
-{ hg clone http://localhost:$HGPORT/ copy 2>&1; echo $?; } | \
-	sed 's/error:.*/error:/'
+hg clone http://localhost:$HGPORT/ copy
+echo $?
 test -d copy || echo copy: No such file or directory
 
 cat > dumb.py <<EOF
@@ -23,7 +23,8 @@
 # give the server some time to start running
 sleep 1
 
-{ http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1; echo $?; } | \
+http_proxy= hg clone http://localhost:$HGPORT/foo copy2 2>&1 | \
     sed -e 's/404.*/404/' -e 's/Date:.*/Date:/'
+echo $?
 
 kill $!
--- a/tests/test-bad-pull.out	Mon Mar 30 01:21:39 2009 +0200
+++ b/tests/test-bad-pull.out	Mon Mar 30 01:23:12 2009 +0200
@@ -1,5 +1,5 @@
-abort: error:
+abort: error: Connection refused
 255
 copy: No such file or directory
 abort: HTTP Error 404
-255
+0
--- a/tests/test-http-proxy	Mon Mar 30 01:21:39 2009 +0200
+++ b/tests/test-http-proxy	Mon Mar 30 01:23:12 2009 +0200
@@ -36,8 +36,7 @@
 http_proxy=http://user:passwd@localhost:$HGPORT1 hg clone --config http_proxy.always=True http://user:passwd@localhost:$HGPORT/ e
 
 echo %% bad host:port for proxy
-http_proxy=localhost:$HGPORT2 hg clone --config http_proxy.always=True http://localhost:$HGPORT/ f 2>&1 | \
-	sed 's/error:.*/error:/'
+http_proxy=localhost:$HGPORT2 hg clone --config http_proxy.always=True http://localhost:$HGPORT/ f
 
 echo %% do not use the proxy if it is in the no list
 http_proxy=localhost:$HGPORT1 hg clone --config http_proxy.no=localhost http://localhost:$HGPORT/ g
--- a/tests/test-http-proxy.out	Mon Mar 30 01:21:39 2009 +0200
+++ b/tests/test-http-proxy.out	Mon Mar 30 01:23:12 2009 +0200
@@ -48,7 +48,7 @@
 updating working directory
 1 files updated, 0 files merged, 0 files removed, 0 files unresolved
 %% bad host:port for proxy
-abort: error:
+abort: error: Connection refused
 %% do not use the proxy if it is in the no list
 requesting all changes
 adding changesets
--- a/tests/test-static-http	Mon Mar 30 01:21:39 2009 +0200
+++ b/tests/test-static-http	Mon Mar 30 01:23:12 2009 +0200
@@ -2,8 +2,8 @@
 
 cp "$TESTDIR"/printenv.py .
 
-{ http_proxy= hg clone http://localhost:$HGPORT/ copy 2>&1; echo $?; } | \
-	sed 's/error:.*/error:/'
+http_proxy= hg clone http://localhost:$HGPORT/ copy
+echo $?
 test -d copy || echo copy: No such file or directory
 
 # This server doesn't do range requests so it's basically only good for
--- a/tests/test-static-http.out	Mon Mar 30 01:21:39 2009 +0200
+++ b/tests/test-static-http.out	Mon Mar 30 01:23:12 2009 +0200
@@ -1,4 +1,4 @@
-abort: error:
+abort: error: Connection refused
 255
 copy: No such file or directory
 changeset:   0:53e17d176ae6